package Events;

import commandSystem.Direction;

public class CallFromElevatorEvent implements Event {

	private final int wantedFloor;

	public CallFromElevatorEvent(int wantedFloor) {
		this.wantedFloor = wantedFloor;
	}

	@Override
	public Direction getRequestedDirection() {
		return Direction.NONE;
	}

	@Override
	public int getRequestedFloor() {
		return wantedFloor;
	}

	@Override
	public int getIncomingCallFloor() {
		return -1;
	}

	@Override
	public EventType getType() {
		return EventType.CALLFROMELEVATOR;
	}

	@Override
	public int getCurrentFloor() {
		return -1;
	}

	@Override
	public Direction getCurrentDirection() {
		return Direction.NONE;
	}
}
